Summary: LaTeX editor
Name: texmaker
Version: 1.12
Release: 3%{?dist}
License: GPL
Group: Applications/Publishing
URL: http://www.xm1math.net/texmaker/
Source: http://www.xm1math.net/texmaker/texmaker-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt-devel
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Patch0: %{name}-desktop.patch
Patch1: %{name}-install.patch
# Patch to use default Fedora's document viewer
Patch2: %{name}-tools.patch

%description
Texmaker is a program, that integrates many tools needed to develop 
documents with LaTeX, in just one application. 
Texmaker runs on unix, macosx and windows systems and is released under the GPL
license

%prep
%setup -q
%patch0 -p0 -b .desktop
%patch1 -p0 -b .install
%patch2 -p0 -b .tools
 
%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
${QTDIR}/bin/qmake -makefile -unix texmaker.pro

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

install -Dp -m 0644 utilities/texmaker16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/texmaker.png

# Don't package these twice
rm -rf %{buildroot}%{_datadir}/%{name}/{AUTHORS,COPYING,*.desktop,tex*.png}

desktop-file-install --vendor fedora	         	   \
        --dir %buildroot%_datadir/applications             \
        --add-category Office                              \
	--add-category X-Fedora			           \
        utilities/texmaker.desktop

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %buildroot

%files
%defattr(-, root, root, -)
%doc utilities/AUTHORS utilities/COPYING
%_bindir/texmaker
%{_datadir}/texmaker/
%{_datadir}/applications/fedora-texmaker.desktop
%{_datadir}/icons/hicolor/*/apps/texmaker.png

%changelog
* Fri Oct 28 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-3 
- Buildrequires qt-devel instead of kdelibs-devel
- Fix typos in desktop file patch
- Use use the '-p' option in the install command (Rex Dieter)

* Thu Oct 27 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-2 
- Miscellaneous fixes to the spec files from Fedora Extras review,
  RH bugzilla #171195 (Aurelien Bompard)

* Sat Apr 30 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-1 
- Initial release for Extras
